﻿Imports System.Drawing

Namespace Model.Development

    Public Class DEV_FeatureRequest

        Public Sub New()
            Me.FinishedDatum = New DateTime(1900, 1, 1)
            Me.UpdateDatum = New DateTime(1900, 1, 1)
            Me.CreateDatum = New DateTime(1900, 1, 1)

        End Sub

        Private _ID As Integer
        Public Property ID() As Integer
            Get
                Return _ID
            End Get
            Set(ByVal value As Integer)
                _ID = value
            End Set
        End Property

        Private _CreateDatum As DateTime
        Public Property CreateDatum() As DateTime
            Get
                Return _CreateDatum
            End Get
            Set(ByVal value As DateTime)
                _CreateDatum = value
            End Set
        End Property

        Private _UpdateDatum As DateTime
        Public Property UpdateDatum() As DateTime
            Get
                Return _UpdateDatum
            End Get
            Set(ByVal value As DateTime)
                _UpdateDatum = value
            End Set
        End Property

        Private _Name As String
        Public Property Name() As String
            Get
                Return _Name
            End Get
            Set(ByVal value As String)
                _Name = value
            End Set
        End Property

        Private _CreatedByID As Integer
        Public Property CreatedByID() As Integer
            Get
                Return _CreatedByID
            End Get
            Set(ByVal value As Integer)
                _CreatedByID = value
            End Set
        End Property

        Private _CreatedBy As String
        Public Property CreatedBy() As String
            Get
                Return _CreatedBy
            End Get
            Set(ByVal value As String)
                _CreatedBy = value
            End Set
        End Property

        Private _UpdatedByID As Integer
        Public Property UpdatedByID() As Integer
            Get
                Return _UpdatedByID
            End Get
            Set(ByVal value As Integer)
                _UpdatedByID = value
            End Set
        End Property

        Private _UpdatedBy As String
        Public Property UpdatedBy() As String
            Get
                Return _UpdatedBy
            End Get
            Set(ByVal value As String)
                _UpdatedBy = value
            End Set
        End Property

        Private _PriorityID As DEV_Priorities
        Public Property PriorityID() As DEV_Priorities
            Get
                Return _PriorityID
            End Get
            Set(ByVal value As DEV_Priorities)
                _PriorityID = value
            End Set
        End Property


        Private _StateID As DEV_States
        Public Property StateID() As DEV_States
            Get
                Return _StateID
            End Get
            Set(ByVal value As DEV_States)
                _StateID = value
            End Set
        End Property

        Private _PercentComplete As Integer
        Public Property PercentComplete() As Integer
            Get
                Return _PercentComplete
            End Get
            Set(ByVal value As Integer)
                _PercentComplete = value
            End Set
        End Property

        Private _FinishedDatum As DateTime
        Public Property FinishedDatum() As DateTime
            Get
                Return _FinishedDatum
            End Get
            Set(ByVal value As DateTime)
                _FinishedDatum = value
            End Set
        End Property

        Private _Description As String
        Public Property Description() As String
            Get
                Return _Description
            End Get
            Set(ByVal value As String)
                _Description = value
            End Set
        End Property

        Private _DeadLine As DateTime
        Public Property DeadLine() As DateTime
            Get
                Return _DeadLine
            End Get
            Set(ByVal value As DateTime)
                _DeadLine = value
            End Set
        End Property

        Private _CategoryID As Integer
        Public Property CategoryID() As Integer
            Get
                Return _CategoryID
            End Get
            Set(ByVal value As Integer)
                _CategoryID = value
            End Set
        End Property

        Private _Category As String
        Public Property Category() As String
            Get
                Return _Category
            End Get
            Set(ByVal value As String)
                _Category = value
            End Set
        End Property

        Private _Urls As New List(Of DEV_Url)
        Public Property Urls() As List(Of DEV_Url)
            Get
                Return _Urls
            End Get
            Set(ByVal value As List(Of DEV_Url))
                _Urls = value
            End Set
        End Property

        Private _Docs As New List(Of DEV_Doc)
        Public Property Docs() As List(Of DEV_Doc)
            Get
                Return _Docs
            End Get
            Set(ByVal value As List(Of DEV_Doc))
                _Docs = value
            End Set
        End Property

        Private _Remarks As New List(Of DEV_RequestRemark)
        Public Property Remarks() As List(Of DEV_RequestRemark)
            Get
                Return _Remarks
            End Get
            Set(ByVal value As List(Of DEV_RequestRemark))
                _Remarks = value
            End Set
        End Property

        Private _LinkedTasks As New List(Of DEV_Task)
        Public Property LinkedTasks() As List(Of DEV_Task)
            Get
                Return _LinkedTasks
            End Get
            Set(ByVal value As List(Of DEV_Task))
                _LinkedTasks = value
            End Set
        End Property

        Private _TotalDocuments As Integer
        Public Property TotalDocuments() As Integer
            Get
                Return _TotalDocuments
            End Get
            Set(ByVal value As Integer)
                _TotalDocuments = value
            End Set
        End Property

        Private _DocumentsIcon As Bitmap
        Public Property DocumentsIcon() As Bitmap
            Get
                Return _DocumentsIcon
            End Get
            Set(ByVal value As Bitmap)
                _DocumentsIcon = value
            End Set
        End Property

        Private _TotalLinks As Integer
        Public Property TotalLinks() As Integer
            Get
                Return _TotalLinks
            End Get
            Set(ByVal value As Integer)
                _TotalLinks = value
            End Set
        End Property

        Private _LinksIcon As Bitmap
        Public Property LinksIcon() As Bitmap
            Get
                Return _LinksIcon
            End Get
            Set(ByVal value As Bitmap)
                _LinksIcon = value
            End Set
        End Property

        Private _TotalTasks As Integer
        Public Property TotalTasks() As Integer
            Get
                Return _TotalTasks
            End Get
            Set(ByVal value As Integer)
                _TotalTasks = value
            End Set
        End Property

        Private _TasksIcon As Bitmap
        Public Property TasksIcon() As Bitmap
            Get
                Return _TasksIcon
            End Get
            Set(ByVal value As Bitmap)
                _TasksIcon = value
            End Set
        End Property

        Private _TotalRemarks As Integer
        Public Property TotalRemarks() As Integer
            Get
                Return _TotalRemarks
            End Get
            Set(ByVal value As Integer)
                _TotalRemarks = value
            End Set
        End Property

        Private _RemarksIcon As Bitmap
        Public Property RemarksIcon() As Bitmap
            Get
                Return _RemarksIcon
            End Get
            Set(ByVal value As Bitmap)
                _RemarksIcon = value
            End Set
        End Property


#Region "Obsolete properties"


        Private _ProjectID As Integer
        Public Property ProjectID() As Integer
            Get
                Return _ProjectID
            End Get
            Set(ByVal value As Integer)
                _ProjectID = value
            End Set
        End Property

        Private _Project As String
        Public Property Project() As String
            Get
                Return _Project
            End Get
            Set(ByVal value As String)
                _Project = value
            End Set
        End Property

        Private _AssignedToID As Integer
        Public Property AssignedToID() As Integer
            Get
                Return _AssignedToID
            End Get
            Set(ByVal value As Integer)
                _AssignedToID = value
            End Set
        End Property
        Private _AssignedTo As String
        Public Property AssignedTo() As String
            Get
                Return _AssignedTo
            End Get
            Set(ByVal value As String)
                _AssignedTo = value
            End Set
        End Property

#End Region

    End Class

End Namespace
